#pragma once
#include "MultipleSimulationResultDTO.h"
#include "SingleSimulationResultDTO.h"
#include "StepResultDTO.h"


class AbstractSimulationResultDTOFactory
{
public:
	virtual MultipleSimulationResultDTO* getMultipleSimulationResultDTO() = 0;

	virtual SingleSimulationResultDTO* getSingleSimulationResultDTO() = 0;

	virtual StepResultDTO* getStepResultDTO() = 0;

};